#ifndef FLAW_H
#define FLAW_H


#define FIX FLAW( "Fix me" )
#define FLAW( message ) throw MM::Flaw( MM::Text( message ) + " in " + __FILE__ + ", line " + __LINE__ )

//class Text;

#ifndef TEXT_H
#include "Text.h"
#endif

namespace MM
{

class Flaw
{
public:

    Flaw( Text text );
    const Text & message() const;

private:
    Text  message_;
};

}//MM

#endif//FLAW_H

